Subject: Re: bug#24435: 25.1; Problem using Hunspell

From: Dmitri Paduchikh <[email-masked]>
Date: Wed, 14 Sep 2016 22:44:18 +0500

Hello,

Eli Zaretskii <[email-masked]> wrote:

>> | ispell-phaf: No matching entry for ru_RU in ‘ispell-hunspell-dict-paths-alist’.
>> |  (ispell-parse-hunspell-affix-file)
>> 
>> It seems that Hunspell itself does not have any difficulty locating the
>> dictionary.
>> 
>> $ hunspell -a -d ru_RU
>> Hunspell 1.4.0
>> проверкаа
>> & проверкаа 3 0: проверка, проверкам, проверках

> What does your Hunspell output when invoked thus:
>   $ hunspell -D

$ hunspell -D < /dev/null
Hunspell 1.4.0
$ hunspell -a -D < /dev/null
SEARCH PATH:
.::/usr/share/hunspell:/usr/share/myspell:/usr/share/myspell/dicts:/Library/Spelling:/home/dmai/.openoffice.org/3/user/wordbook:.openoffice.org2/user/wordbook:.openoffice.org2.0/user/wordbook:Library/Spelling:/opt/openoffice.org/basis3.0/share/dict/ooo:/usr/lib/openoffice.org/basis3.0/share/dict/ooo:/opt/openoffice.org2.4/share/dict/ooo:/usr/lib/openoffice.org2.4/share/dict/ooo:/opt/openoffice.org2.3/share/dict/ooo:/usr/lib/openoffice.org2.3/share/dict/ooo:/opt/openoffice.org2.2/share/dict/ooo:/usr/lib/openoffice.org2.2/share/dict/ooo:/opt/openoffice.org2.1/share/dict/ooo:/usr/lib/openoffice.org2.1/share/dict/ooo:/opt/openoffice.org2.0/share/dict/ooo:/usr/lib/openoffice.org2.0/share/dict/ooo
AVAILABLE DICTIONARIES (path is not mandatory for -d option):
/usr/share/hunspell/ru_RU
/usr/share/hunspell/en_NG
/usr/share/hunspell/en_PH
/usr/share/hunspell/en_DK
/usr/share/hunspell/en_NZ
/usr/share/hunspell/en_BS
/usr/share/hunspell/en_AU
/usr/share/hunspell/en_IE
/usr/share/hunspell/en_GB-large
/usr/share/hunspell/en_BW
/usr/share/hunspell/en_US
/usr/share/hunspell/en_CA
/usr/share/hunspell/en_HK
/usr/share/hunspell/en_NA
/usr/share/hunspell/en_GH
/usr/share/hunspell/en_BZ
/usr/share/hunspell/en_SG
/usr/share/hunspell/en_GB
/usr/share/hunspell/en_ZW
/usr/share/hunspell/en_TT
/usr/share/hunspell/en_ZA
/usr/share/hunspell/en_IN
/usr/share/hunspell/en_AG
/usr/share/hunspell/en_JM
/usr/share/myspell/dicts/ru_RU
/usr/share/myspell/dicts/en_NG
/usr/share/myspell/dicts/en_PH
/usr/share/myspell/dicts/en_DK
/usr/share/myspell/dicts/en_NZ
/usr/share/myspell/dicts/en_BS
/usr/share/myspell/dicts/en_AU
/usr/share/myspell/dicts/en_IE
/usr/share/myspell/dicts/en_GB-large
/usr/share/myspell/dicts/en_BW
/usr/share/myspell/dicts/en_US
/usr/share/myspell/dicts/en_CA
/usr/share/myspell/dicts/en_HK
/usr/share/myspell/dicts/en_NA
/usr/share/myspell/dicts/en_GH
/usr/share/myspell/dicts/en_BZ
/usr/share/myspell/dicts/en_SG
/usr/share/myspell/dicts/en_GB
/usr/share/myspell/dicts/en_ZW
/usr/share/myspell/dicts/en_TT
/usr/share/myspell/dicts/en_ZA
/usr/share/myspell/dicts/en_IN
/usr/share/myspell/dicts/en_AG
/usr/share/myspell/dicts/en_JM
LOADED DICTIONARY:
/usr/share/hunspell/ru_RU.aff
/usr/share/hunspell/ru_RU.dic
Hunspell 1.4.0
$ 

The information about dictionaries is output to stderr, and the version
string - to stdout. I have added -a to ispell-call-process inside
ispell-find-hunspell-dictionaries, re-customized ispell-program-name
(since ispell-find-hunspell-dictionaries seems to be called through its
customization setter), and the error with missing dictionaries
disappeared. Now when I try to check some word, after waiting for
several seconds I get this message:

| Starting new Ispell process hunspell with ru_RU dictionary...
| Hunspell 1.4.0 (ispell-init-process)

Subsequent attempts give such result:

| Checking spelling of ВПЕРЁД...
| Error checking word ВПЕРЁД using hunspell with ru_RU dictionary

The word seems to pass spellcheck using CLI interface.

$ echo вперёд | hunspell -a -d ru_RU
Hunspell 1.4.0
*

$ 

Best regards
Dmitri Paduchikh